/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.xml.mbeanserver;

import java.util.ArrayList;
import java.util.List;

/**
 * The root object of the mean-service_1_0.xsd schema.
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.3 $
 */
public class Services
{
   /** server/mbean == ArrayList<MBeanData> */
   private ArrayList mbeans = new ArrayList();

   public List getMBeans()
   {
      return mbeans;
   }
   public void setMBeans(List mbeans)
   {
      //System.out.println("setMBeans, mbeans="+mbeans);
      this.mbeans.clear();
      this.mbeans.addAll(mbeans);
   }
}
